# Poco::Net

# class HTTPRequestHandler

Library: Net
Package: HTTPServer
Header: Poco/Net/HTTPRequestHandler.h

## Description

The abstract base class for HTTPRequestHandlers created by HTTPServer.

Derived classes must override the handleRequest() method. Furthermore, a HTTPRequestHandlerFactory must be provided.

The handleRequest() method must perform the complete handling of the HTTP request connection. As soon as the handleRequest() method returns, the request handler object is destroyed.

A new HTTPRequestHandler object will be created for each new HTTP request that is received by the HTTPServer.

## Inheritance

Known Derived Classes: AbstractHTTPRequestHandler

## Member Summary

Member Functions: handleRequest

## Constructors

### HTTPRequestHandler

HTTPRequestHandler();

Creates the HTTPRequestHandler.

## Destructor

### ~HTTPRequestHandler

virtual ~HTTPRequestHandler();

Destroys the HTTPRequestHandler.

## Member Functions

### handleRequest

virtual void handleRequest(
HTTPServerRequest & request,
HTTPServerResponse & response
) = 0;

Must be overridden by subclasses.

Handles the given request.